<bugID>940093<Summary>Offer UI pref to toggle titlebar back on</Summary><Description>Firefox's previous visual design displayed the page title in the title bar, and again in the selected tab in the tab bar. The latter is truncated by more open tabs; the former is not.

Open more than a handful of tabs, and you see this:

   _______________________________________________________________
   &#176; &#176; &#176;    Amazon.com: Novelty Horse Head Mask Prop: Toys &amp; Games
   Amazo&#8230;  Welcom&#8230;  Twitte&#8230;  &#8230;                                   +


Australis says "screw that, everyone has three tabs open on a widescreen display", and shows you this:

  _____________________________________________________
  &#176; &#176; &#176; + v &lt;|Amazo&#8230;  Welcom&#8230;  Twitte&#8230;  &#8230;            |&gt;


Your current tab has no more text space than any other open tab, perhaps isn't even visible in the tab chooser, and almost certainly doesn't have enough space to show the page title.

Regressing aspects of this:

* The ability to contextualize the current page/tab is removed. Rapidly shifting between tabs with a keyboard shortcut never reveals the page title, which -- believe it or not -- is actually sometimes useful, and is certainly much quicker than having to read the page to find out what's going on.

* The ability to contextualize the current *window* is removed. There's now no title for a Firefox window! Instead I have a stream of bug numbers and fragments of letters near where a title normally is. My ability to Cmd-~ between windows, scanning the titles -- "oh, that's an l10n bug, this is my l10n bug window" -- has been totally removed.


In short: at the risk of sounding all ZOMG CHANGE, this seems like a useful affordance has been removed to save vertical space.

Can we allow this to be customized, so that I can save my vertical space with Vertical Tabs and buy myself a page title again?</Description></bugID>